/**
 * \class Age
 *
 * \brief 
 *
 * This class is a body Automeasurement.
 * The Age class is made to get the age on every possible day with getValue(StringDate)
 *
 * \author Toon Muylkens
 *
 * \date 2007/02/13
 *
 * Contact: toon.muylkens@student.kuleuven.be
 *
 */
#ifndef AGE_H
#define AGE_H
#include <QTime>
#include <QDate>
#include "QStringDates.h"
#include "Measurable.h"
#include <QTextStream>


class Age : public Measurable
 {
Q_OBJECT
public:
     	Age(int index, QWidget *parent=0);
	
	void setBDate(StringDate date);
	QString getName();
	QString getExplanation();
	int getValue(StringDate date);
	StringDate getBDate();
	QString toString();
private:
	StringDate bDate;
 };

#endif //AGE_H
